MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026303Open CASCADE[OCCT] OCCT:Testspublic2015-06-02 14:232017-09-29 16:25
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026303: Problem with test cases boolean/gdml_private L1-9 and K1-K9
DescriptionThese cases in random order hung DRAWEXE and prevent the completion of the Jenkins test task on Linux platform (Debian 7.0 64 bit).
Station is busy. As a consequence, the next task from queue can not start.
TagsNo tags attached.
Test case number
Attached Fileszip file icon removed_test_cases.zip (5,459 bytes) 2015-06-02 14:27
zip file icon M1.zip (781 bytes) 2015-08-28 11:58
zip file icon W2.zip (829 bytes) 2015-09-07 12:56

- Relationships

-  Notes
(0044787)
ski (developer)
2015-08-28 12:01

Test case "boolean / gdml_private / M1" have the same behavior as presented in description.

It hangs DRAWEXE and prevents the completion of the Jenkins test task on Linux platform.

This test case was removed from current state of master and attached to this bug.
(0045132)
apn (administrator)
2015-09-07 12:56

boolean/gdml_private/W2 has the same behavior.
(0059222)
emv (developer)
2016-10-27 08:42

Dear Andrey,
Could you please check the current status of these test cases? Are they still hanging? If not, could please restore them in gdml_private test grid.
(0067222)
emv (developer)
2017-06-08 14:16
edited on: 2017-06-08 14:17

Dear bugmaster, could you please check the current state of the removed test cases? I've checked them locally (on Windows only) and non of them fail or hang. Moreover, all BAD cases became OK.

(0067224)
bugmaster (administrator)
2017-06-08 15:05

Problem is not reproduced on current state of OCCT on Windows and Linux platforms.
I correct some cases because improvements.
Nearest time I will reintegrate it.

- Related Changesets
occt: master 645f581f
Timestamp: 2017-06-08 12:01:03
Author: bugmaster
Details ] Diff ]
0026303: Problem with test cases boolean/gdml_private L1-9 and K1-K9

Problem is not reproduced on current status of OCCT.
Test cases were reintegrated.
add - tests/boolean/gdml_private/K1 Diff ] File ]
add - tests/boolean/gdml_private/K2 Diff ] File ]
add - tests/boolean/gdml_private/K3 Diff ] File ]
add - tests/boolean/gdml_private/K4 Diff ] File ]
add - tests/boolean/gdml_private/K5 Diff ] File ]
add - tests/boolean/gdml_private/K6 Diff ] File ]
add - tests/boolean/gdml_private/K7 Diff ] File ]
add - tests/boolean/gdml_private/K8 Diff ] File ]
add - tests/boolean/gdml_private/K9 Diff ] File ]
add - tests/boolean/gdml_private/L1 Diff ] File ]
add - tests/boolean/gdml_private/L2 Diff ] File ]
add - tests/boolean/gdml_private/L3 Diff ] File ]
add - tests/boolean/gdml_private/L4 Diff ] File ]
add - tests/boolean/gdml_private/L5 Diff ] File ]
add - tests/boolean/gdml_private/L6 Diff ] File ]
add - tests/boolean/gdml_private/L7 Diff ] File ]
add - tests/boolean/gdml_private/L8 Diff ] File ]
add - tests/boolean/gdml_private/L9 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-02 14:23 bugmaster New Issue
2015-06-02 14:23 bugmaster Assigned To => apn
2015-06-02 14:24 bugmaster Status new => assigned
2015-06-02 14:27 bugmaster File Added: removed_test_cases.zip
2015-06-02 17:57 bugmaster Assigned To apn => emv
2015-08-28 11:58 ski File Added: M1.zip
2015-08-28 12:01 ski Note Added: 0044787
2015-09-07 12:56 apn File Added: W2.zip
2015-09-07 12:56 apn Note Added: 0045132
2015-10-28 12:52 msv Target Version 7.0.0 => 7.1.0
2016-10-26 09:09 emv Target Version 7.1.0 => 7.2.0
2016-10-27 08:42 emv Note Added: 0059222
2016-10-27 08:42 emv Assigned To emv => apn
2016-10-27 08:42 emv Status assigned => feedback
2017-06-08 14:14 emv Assigned To apn => bugmaster
2017-06-08 14:16 emv Note Added: 0067222
2017-06-08 14:17 emv Note Edited: 0067222 View Revisions
2017-06-08 15:05 bugmaster Note Added: 0067224
2017-06-08 15:05 bugmaster Status feedback => tested
2017-06-09 14:06 bugmaster Changeset attached => occt master 645f581f
2017-06-09 14:06 bugmaster Status tested => verified
2017-06-09 14:06 bugmaster Resolution open => fixed
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker